Search Gradle plugins

kliche.java-version-everything-android

Plugin for automatically setting source/targetCompatibility of all modules in project with android support

https://github.com/kliche-dev/gradle-plugin-java8-everything

Version 1.1 (latest)

Created 24 September 2020.

Plugin for automatically setting source/targetCompatibility of all modules in project with android support

Using the plugins DSL:

plugins {
  id "kliche.java-version-everything-android" version "1.1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "gradle.plugin.dev.kliche.plugin.java_version_everything:java-version-everything-plugin:1.1"
  }
}

apply plugin: "kliche.java-version-everything-android"

Using the plugins DSL:

plugins {
  id("kliche.java-version-everything-android") version "1.1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("gradle.plugin.dev.kliche.plugin.java_version_everything:java-version-everything-plugin:1.1")
  }
}

apply(plugin = "kliche.java-version-everything-android")

Learn how to apply plugins to subprojects